Index: /trunk/language/en_UK.iso-8859-1/common.lang.php
===================================================================
--- /trunk/language/en_UK.iso-8859-1/common.lang.php	(revision 364)
+++ /trunk/language/en_UK.iso-8859-1/common.lang.php	(revision 364)
@@ -0,0 +1,236 @@
+<?php
+// +-----------------------------------------------------------------------+
+// |                           en_EN/common.lang.php                           |
+// +-----------------------------------------------------------------------+
+// | application   : PhpWebGallery <http://phpwebgallery.net>              |
+// | branch        : 1.4                                                   |
+// +-----------------------------------------------------------------------+
+// | file          : $RCSfile$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['only_members'] = 'Only members can access this page';
+$lang['invalid_pwd'] = 'Invalid password!';
+$lang['access_forbiden'] = 'You are not authorized to access this page';
+$lang['submit'] = 'Submit';
+$lang['login'] = 'login';
+$lang['password'] = 'password';
+$lang['new'] = 'new';
+$lang['delete'] = 'delete';
+$lang['category'] = 'category';
+$lang['thumbnail'] = 'thumbnail';
+$lang['date'] = 'date';
+$lang['diapo_default_page_title'] = 'No category selected';
+$lang['thumbnails'] = 'Thumbnails';
+$lang['categories'] = 'Categories';
+$lang['hint_category'] = 'shows images at the root of this categry';
+$lang['total_images'] = 'total';
+$lang['title_menu'] = 'Menu';
+$lang['change_login'] = 'change login';
+$lang['login'] = 'login';
+$lang['hint_login'] = 'identification enables site\'s appareance customization';
+$lang['logout'] = 'logout';
+$lang['customize'] = 'customize';
+$lang['hint_customize'] = 'customize the appareance of the gallery';
+$lang['hint_search'] = 'search';
+$lang['search'] = 'search';
+$lang['favorite_cat'] = 'favorites';
+$lang['favorite_cat_hint'] = 'display your favorites';
+$lang['about'] = 'about';
+$lang['hint_about'] = 'more informations on PhpWebGallery...';
+$lang['admin'] = 'admin';
+$lang['hint_admin'] = 'available for administrators only';
+$lang['no_category'] = 'No category selected<br />please select it in the menu';
+$lang['page_number'] = 'page number';
+$lang['previous_page'] = 'Previous';
+$lang['next_page'] = 'Next';
+$lang['nb_image_category'] = 'number of images in this category';
+$lang['recent_image'] = 'image within the';
+$lang['days'] = 'days';
+$lang['send_mail'] = 'Any comment? Send me an e-mail';
+$lang['title_send_mail'] = 'A comment on your site';
+$lang['sub-cat'] = 'subcategories';
+$lang['images_available'] = 'images in this category';
+$lang['total'] = 'images';
+$lang['upload_picture'] = 'Upload a picture';
+$lang['registration_date'] = 'registered on';
+$lang['creation_date'] = 'created on';
+$lang['comment'] = 'comment';
+$lang['author'] = 'author';
+$lang['size'] = 'size';
+$lang['filesize'] = 'filesize';
+$lang['file'] = 'file';
+$lang['generation_time'] = 'Page generated in';
+$lang['favorites'] = 'Favorites';
+$lang['search_result'] = 'Search results';
+$lang['about_page_title'] = 'About PhpWebGallery';
+$lang['about_title'] = 'About...';
+$lang['about_message'] = '<div style="text-align:center;font-weigh:bold;">Information about PhpWebGallery</div>
+<ul>
+  <li>This website uses <a href="'.$conf['site_url'].'" style="text-decoration:underline">PhpWebGallery</a> release '.$conf['version'].'. PhpWebGallery is a web application giving you the possibility to create an online images gallery easily.</li>
+  <li>Technicaly, PhpWebGallery is fully developped with PHP (the elePHPant) with a MySQL database (the SQuirreL).</li>
+  <li>If you have any suggestions or comments, please visit <a href="'.$conf['site_url'].'" style="text-decoration:underline">PhpWebGallery</a> official site, and its dedicated <a href="'.$conf['forum_url'].'" style="text-decoration:underline">forum</a>.</li>
+</ul>';
+$lang['about_return'] = 'Back';
+$lang['ident_page_title'] = 'Identification';
+$lang['ident_title'] = 'Identification';
+$lang['ident_register'] = 'Register';
+$lang['ident_forgotten_password'] = 'Forget your password ?';
+$lang['ident_guest_visit'] = 'Go through the gallery as a visitor';
+$lang['customize_page_title'] = 'Customization';
+$lang['customize_title'] = 'Customization';
+$lang['customize_nb_image_per_row'] = 'number of images per row';
+$lang['customize_nb_row_per_page'] = 'number of rows per page';
+$lang['customize_language'] = 'language';
+$lang['maxwidth'] = 'maximum width of the pictures';
+$lang['maxheight'] = 'maximum height of the pictures';
+$lang['err_maxwidth'] = 'maximum width must be a number superior to 50';
+$lang['err_maxheight'] = 'maximum height must be a number superior to 50';
+$lang['previous_image'] = 'Previous';
+$lang['next_image'] = 'Next';
+$lang['back'] = 'Click on the image to go back to the thumbnails page';
+$lang['info_image_title'] = 'Image information';
+$lang['link_info_image'] = 'Modify information';
+$lang['true_size'] = 'Real size';
+$lang['comments_title'] = 'Comments from the users of the site';
+$lang['comments_del'] = 'delete this comment';
+$lang['comments_add'] = 'Add a comment';
+$lang['month'][1] = 'January';
+$lang['month'][2] = 'February';
+$lang['month'][3] = 'March';
+$lang['month'][4] = 'April';
+$lang['month'][5] = 'May';
+$lang['month'][6] = 'June';
+$lang['month'][7] = 'July';
+$lang['month'][8] = 'August';
+$lang['month'][9] = 'September';
+$lang['month'][10] = 'October';
+$lang['month'][11] = 'November';
+$lang['month'][12] = 'December';
+$lang['day'][0] = 'Sunday';
+$lang['day'][1] = 'Monday';
+$lang['day'][2] = 'Tuesday';
+$lang['day'][3] = 'Wednesday';
+$lang['day'][4] = 'Thursday';
+$lang['day'][5] = 'Friday';
+$lang['day'][6] = 'Saturday';
+$lang['add_favorites_alt'] = 'Add to favorites';
+$lang['add_favorites_hint'] = 'Add this picture to your favorites';
+$lang['del_favorites_alt'] = 'Delete from favorites';
+$lang['del_favorites_hint'] = 'Delete this picture from your favorites';
+$lang['register_page_title'] = 'Registration';
+$lang['register_title'] = 'Registration';
+$lang['reg_err_login1'] = 'Please, enter a login';
+$lang['reg_err_login2'] = 'login mustn\'t end with a space character';
+$lang['reg_err_login3'] = 'login mustn\'t start with a space character';
+$lang['reg_err_login4'] = 'login mustn\'t contain characters " and \'';
+$lang['reg_err_login5'] = 'this login is already used';
+$lang['reg_err_pass'] = 'please enter your password again';
+$lang['reg_confirm'] = 'confirm';
+$lang['reg_err_mail_address'] = 'mail address must be like xxx@yyy.eee (example : jack@altern.org)';
+$lang['search_title'] = 'Search';
+$lang['invalid_search'] = 'search must be done on 3 caracters or more';
+$lang['search_field_search'] = 'Search';
+$lang['search_return_main_page'] = 'Return to thumbnails page';
+$lang['upload_forbidden'] = 'You can\'t upload pictures in this category';
+$lang['upload_file_exists'] = 'A picture\'s name already used';
+$lang['upload_filenotfound'] = 'You must choose a picture fileformat for the image';
+$lang['upload_cannot_upload'] = 'can\'t upload the picture on the server';
+$lang['upload_title'] = 'Upload a picture';
+$lang['upload_advise'] = 'Choose an image to place in the category : ';
+$lang['upload_advise_thumbnail'] = 'Optional, but recommended : choose a thumbnail to associate to ';
+$lang['upload_advise_filesize'] = 'the filesize of the picture must not exceed : ';
+$lang['upload_advise_width'] = 'the width of the picture must not exceed : ';
+$lang['upload_advise_height'] = 'the height of the picture must not exceed : ';
+$lang['upload_advise_filetype'] = 'the picture must be to the fileformat jpg, gif or png';
+$lang['upload_err_username'] = 'the username must be given';
+$lang['upload_username'] = 'Username';
+$lang['upload_successful'] = 'Picture uploaded with success, an administrator will validate it as soon as possible';
+// new or modified in release 1.3
+$lang['charset'] = 'iso-8859-1';
+$lang['no'] = 'no';
+$lang['yes'] = 'yes';
+$lang['guest'] = 'guest';
+$lang['mail_address'] = 'mail address';
+$lang['public'] = 'public';
+$lang['private'] = 'private';
+$lang['add'] = 'add';
+$lang['dissociate'] = 'dissociate';
+$lang['mandatory'] = 'obligatory';
+$lang['err_date'] = 'wrong date';
+$lang['picture'] = 'picture';
+$lang['IP'] = 'IP';
+$lang['close'] = 'close';
+$lang['open'] = 'open';
+$lang['keywords'] = 'keywords';
+$lang['errors_title'] = 'Errors';
+$lang['infos_title'] = 'Informations';
+$lang['default'] = 'default';
+$lang['comments'] = 'comments';
+$lang['category_representative'] = 'representative';
+$lang['stats'] = 'statistics';
+$lang['most_visited_cat_hint'] = 'displays most visited pictures';
+$lang['most_visited_cat'] = 'most visited';
+$lang['best_rated_cat_hint'] = 'displays pictures best rated';
+$lang['best_rated_cat'] = 'best rated';
+$lang['recent_cat_hint'] = 'displays most recent pictures';
+$lang['recent_cat'] = 'most recent';
+$lang['recent_cat_title'] = 'Recent pictures';
+$lang['visited'] = 'visited';
+$lang['times'] = 'times';
+$lang['customize_theme'] = 'interface theme';
+$lang['customize_expand'] = 'expand all categories';
+$lang['customize_show_nb_comments'] = 'show number of comments';
+$lang['customize_short_period'] = 'short period';
+$lang['customize_long_period'] = 'long period';
+$lang['customize_template'] = 'template';
+$lang['err_periods'] = 'periods must be integer values';
+$lang['err_periods_2'] = 'periods must be superior to 0. The long period must be grater than the short period.';
+$lang['create_cookie'] = 'create a cookie';
+$lang['customize_day'] = 'day';
+$lang['customize_week'] = 'week';
+$lang['customize_month'] = 'month';
+$lang['customize_year'] = 'year';
+$lang['slideshow'] = 'slideshow';
+$lang['period_seconds'] = 'seconds per picture';
+$lang['slideshow_stop'] = 'stop the slideshow';
+$lang['comment_added'] = 'Your comment has been registered';
+$lang['comment_to_validate'] = 'An administrator must authorize your comment before it is visible.';
+$lang['comment_anti-flood'] = 'Anti-flood system : please wait for a moment before trying to post another comment';
+$lang['comment_user_exists'] = 'This login is already used by another user';
+$lang['invalid_search'] = 'Searched words must be grater than 3 characters and must not contain punctuation mark';
+$lang['search_mode_or'] = 'at least one word';
+$lang['search_mode_and'] = 'all the words';
+$lang['search_comments'] = 'separate different words with spaces';
+$lang['upload_name'] = 'Name of the picture';
+$lang['upload_author'] = 'Author (eg "Pierrick LE GALL")';
+$lang['upload_creation_date'] = 'Creation date (DD/MM/YYYY)';
+$lang['upload_comment'] = 'Comment';
+$lang['mail_hello'] = 'Hi,';
+$lang['mail_new_upload_subject'] = 'New picture on the website';
+$lang['mail_new_upload_content'] = 'A new picture has been uploaded on the gallery. It is waiting for your validation. Let\'s meet in the administration panel to authorize or refuse this picture.';
+$lang['mail_new_comment_subject'] = 'New comment on website';
+$lang['mail_new_comment_content'] = 'A new comment has been registered on the gallery. If you chose to validate each comment, you first have to validate this comment in the administration panel to make it visible in the gallery.'."\n\n".'You can see last comments in the administration panel';
+$lang['connected_user'] = 'connected user';
+$lang['title_comments'] = 'Users comments';
+$lang['stats_last_days'] = 'last days';
+$lang['hint_comments'] = 'See last users comments';
+$lang['menu_login'] = 'login';
+
+?>
Index: /trunk/language/en_UK.iso-8859-1/install.lang.php
===================================================================
--- /trunk/language/en_UK.iso-8859-1/install.lang.php	(revision 364)
+++ /trunk/language/en_UK.iso-8859-1/install.lang.php	(revision 364)
@@ -0,0 +1,65 @@
+<?php
+// +-----------------------------------------------------------------------+
+// |                           en_EN/install.lang.php                           |
+// +-----------------------------------------------------------------------+
+// | application   : PhpWebGallery <http://phpwebgallery.net>              |
+// | branch        : 1.4                                                   |
+// +-----------------------------------------------------------------------+
+// | file          : $RCSfile$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['install_message'] = 'Message';
+$lang['step1_confirmation'] = 'Parameters are correct';
+$lang['step1_err_db'] = 'Connection to server succeed, but it was impossible to connect to database';
+$lang['step1_err_server'] = 'Can\'t connect to server';
+$lang['step1_err_copy_2'] = 'The next step of the installation is now possible';
+$lang['step1_err_copy_next'] = 'next step';
+$lang['step1_title'] = 'Step 1/2';
+$lang['step1_host'] = 'MySQL host';
+$lang['step1_host_info'] = 'localhost, sql.multimania.com, toto.freesurf.fr';
+$lang['step1_user'] = 'user';
+$lang['step1_user_info'] = 'user login given by your host provider';
+$lang['step1_pass'] = 'Password';
+$lang['step1_pass_info'] = 'user password given by your host provider';
+$lang['step1_database'] = 'Database name';
+$lang['step1_database_info'] = 'also given by your host provider';
+$lang['step1_prefix'] = 'Database table prefix';
+$lang['step1_prefix_info'] = 'database tables names will be prefixed with it (enables you to manage better your tables)';
+$lang['step2_err_login1'] = 'enter a login for webmaster';
+$lang['step2_err_login3'] = 'webmaster login can\'t contain characters \' or "';
+$lang['step2_err_pass'] = 'please enter your password again';
+$lang['step2_err_mail'] = $lang['conf_err_mail'];
+$lang['install_end_title'] = 'Installation finished';
+$lang['step2_title'] = 'Step 2/2';
+$lang['step2_pwd'] = 'webmaster password';
+$lang['step2_pwd_info'] = 'Keep it confidential, it enables you to access administration panel';
+$lang['step2_pwd_conf'] = 'confirm password';
+$lang['step2_pwd_conf_info'] = 'verification';
+$lang['install_help'] = 'Need help ? Ask your question on <a href="http://forum.phpwebgallery.net">PhpWebGallery message board</a>.';
+$lang['install_end_message'] = 'The configuration of PhpWebGallery is finished, here is the next step<br /><br />
+For security reason, please delete file "install.php"<br />
+Once this file deleted , follow this instructions :
+<ul>
+<li>go to the identification page : [ <a href="../identification.php">identification</a> ] and use the login/password given for webmaster</li>
+<li>this login will enable you to access to the administration panel and to the instructions in order to place pictures in your directories</li>
+</ul>';
+$lang['install_warning'] = 'The file "install.php" is still present. Please remove it from your server. It is not secure to keep it.';
+
+?>
Index: /trunk/language/en_UK.iso-8859-1/lang.lang.php
===================================================================
--- /trunk/language/en_UK.iso-8859-1/lang.lang.php	(revision 364)
+++ /trunk/language/en_UK.iso-8859-1/lang.lang.php	(revision 364)
@@ -0,0 +1,40 @@
+<?php
+// +-----------------------------------------------------------------------+
+// |                           index.lang.php                           |
+// +-----------------------------------------------------------------------+
+// | application   : PhpWebGallery <http://phpwebgallery.net>              |
+// | branch        : 1.4                                                   |
+// +-----------------------------------------------------------------------+
+// | file          : $RCSfile$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['lang'] = array(
+  'fr_FR'=>'French',
+  'en_EN'=>'English',
+  'es_ES'=>'Spanish',
+  'de_DE'=>'German',
+  'ca'=>'Catalan',
+  'no'=>'Norsk',
+  'hu'=>'Hungarian',
+  'ja'=>'Japanese',
+  'sv'=>'Swedish'
+  );
+
+?>
Index: /trunk/picture.php
===================================================================
--- /trunk/picture.php	(revision 363)
+++ /trunk/picture.php	(revision 364)
@@ -26,6 +26,6 @@
 // +-----------------------------------------------------------------------+
 //----------------------------------------------------------- include
-$phpwg_root_path = './';
-include_once( $phpwg_root_path.'include/common.inc.php' );    
+define('PHPWG_ROOT_PATH','./');
+include_once( PHPWG_ROOT_PATH.'include/common.inc.php' );    
 //-------------------------------------------------- access authorization check
 check_cat_id( $_GET['cat'] );
@@ -577,5 +577,5 @@
     {
       $query = 'SELECT COUNT(*) AS user_exists';
-      $query.= ' FROM '.PREFIX_TABLE.'users';
+      $query.= ' FROM '.USERS_TABLE;
       $query.= " WHERE username = '".$author."'";
       $query.= ';';
